$LastChangedDate: 27-Juil-2011 $

# CL_cw_Mmatrix

Clohessy-Wiltshire M transformation matrix

## Calling Sequence

       [M]=CL_cw_Mmatrix(alt,delta_t[,er,mu])

## Description

- Computes the Clohessy-Wiltshire M transformation matrix.

  The local orbital reference frame tied to the target is LVLH (See CL_fr_lvlhMat).

## Parameters

alt:

  Target altitude [m] (1xN)

delta_t:

  Time step [s] (1xN)

er:

  (optional) Equatorial radius [m] (default is %CL_eqRad)

mu:

  (optional) Gravitational constant [m^3/s^2] (default is %CL_mu)

M:

  Clohessy-Wiltshire "M" transformation matrix (6x6xN)

## Authors

- CNES - DCT/SB

## See also

- CL_cw_Nmatrix

- CL_cw_twoImpulse

## Bibliography

- 1) Mecanique spatiale, CNES - Cepadues 1995, Tome II, chapter 16

## Examples

    alt = [350.e3 550.e3];
    delta_t = [100 150];
    [M]=CL_cw_Mmatrix(alt,delta_t)